# Class GetXmrSeedRequest

#### Hierarchy

- unknown
  - GetXmrSeedRequest

- Defined in src/protobuf/grpc_pb.d.ts:2998
- Defined in src/protobuf/grpc_pb.d.ts:3007

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrSeedRequest(): GetXmrSeedRequest

- #### Returns GetXmrSeedRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2999

### toObject

- toObject(includeInstance?: boolean): GetXmrSeedRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrSeedRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3000

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrSeedRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrSeedRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3003

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrSeedRequest, reader: BinaryReader): GetXmrSeedRequest

- #### Parameters

  - ##### message: GetXmrSeedRequest

  - ##### reader: BinaryReader

  #### Returns GetXmrSeedRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3004

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrSeedRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrSeedRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3002

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrSeedRequest): GetXmrSeedRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrSeedRequest

  #### Returns GetXmrSeedRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3001

Generated using TypeDoc